## ngcp-logic-engine 13.3.0.0+0~mr13.5.1.1

=== Makefile ===
RESULTS ?= ./reports
CACHE_DIR ?= $(RESULTS)/.pytest_cache
POETRY_VIRTUALENVS_CREATE ?= false
EXTRAS ?= --all-extras

# do nothing by default
all:

test:
	RESULTS=$(RESULTS) pytest -ra -o cache_dir=$(CACHE_DIR)

install:
	poetry install $(EXTRAS) --no-interaction

.PHONY: all test

=== debian/changelog ===
ngcp-logic-engine (13.3.0.0+0~mr13.5.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:54:15 +0200

ngcp-logic-engine (13.3.0.0+0~mr13.5.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:44:48 +0200

ngcp-logic-engine (13.3.0.0+0~mr13.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:43:48 +0200

ngcp-logic-engine (13.3.0.0+0~mr13.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:28:02 +0200

ngcp-logic-engine (13.3.0.0+0~mr13.3.0.0) unstable; urgency=low

  * Initial Release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Jan 2025 10:00:51 +0200

=== debian/control ===
Source: ngcp-logic-engine
Section: python
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry,
Homepage: https://www.sipwise.com/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://github.com/sipwise/ngcp-logic-engine.git
Vcs-Browser: https://github.com/sipwise/ngcp-logic-engine

Package: ngcp-logic-engine
Section: python
Architecture: all
Depends:
 gunicorn,
 python3-poetry,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-setuptools,
Description: uwsgi NGCP logic engine app
 logic-engine is intended to be a centralized
 collector of the call information capable of
 take decisions about the call routine.
 It can be interrogated via REST API by all the
 processes like kamailio, sems or the AS.
 .
 This package provides logic-engine webapp.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export EXTRAS=--only-root
export NO_INTERNET=1

%:
	dh $@ --with python3 --buildsystem=pybuild

# tests are executed in docker on jenkins job
override_dh_auto_test:

## ngcp-logic-engine 13.3.0.0+0~mr14.0.1.1

=== debian/changelog ===
ngcp-logic-engine (13.3.0.0+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:32:33 +0100

ngcp-logic-engine (13.3.0.0+0~mr14.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:56:23 +0100

ngcp-logic-engine (13.3.0.0+0~mr14.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:44:49 +0200
